xen/tmp-initscript-modprobe.patch
Charles Arnold a0e0589e8d - The xen kmp packages fail on the 09-check-packaged-twice script.
Rename xen_pvdrivers.conf to xen_pvdrivers-<kernel flavor>.conf 

- bnc#739585 - L3: Xen block-attach fails after repeated attach/detach
  blktap-close-fifos.patch

- bnc#741159 - Fix default setting of XENSTORED_ROOTDIR in
  xencommons init script
  xencommons-xenstored-root.patch

- bnc#740625 - xen: cannot interact with xend after upgrade (SLES)
- bnc#738694 - xen: cannot interact with xend after upgrade (os12.1)
- Other README changes included.
  README.SuSE

- bnc#694863 - kexec fails in xen 
  24478-libxl_add_feature_flag_to_xenstore_for_XS_RESET_WATCHES.patch

- fate#310510 - fix xenpaging
  xenpaging.speedup-page-out.patch

OBS-URL: https://build.opensuse.org/package/show/Virtualization/xen?expand=0&rev=165
2012-01-23 21:46:39 +00:00

26 lines
1.0 KiB
Diff

Index: xen-4.1.2-testing/tools/hotplug/Linux/init.d/xencommons
===================================================================
--- xen-4.1.2-testing.orig/tools/hotplug/Linux/init.d/xencommons
+++ xen-4.1.2-testing/tools/hotplug/Linux/init.d/xencommons
@@ -57,6 +57,20 @@ do_start () {
local time=0
local timeout=30
+ # Load XEN backend modules
+ # NB: They could be loaded later, e.g. when dom0 hotplug events occur,
+ # but for now it's safest to have them loaded here.
+ modprobe evtchn 2>/dev/null || true
+ modprobe gntdev 2>/dev/null || true
+ modprobe blktap 2>/dev/null || true
+ modprobe blkbk 2>/dev/null || true
+ modprobe netbk 2>/dev/null || true
+ modprobe usbbk 2>/dev/null || true
+ # xenblk (frontend module) is needed in dom0, allowing it to use vbds
+ modprobe xenblk 2>/dev/null || true
+ # support xl create pv guest with qcow/qcow2 disk image
+ modprobe nbd max_part=8 2>/dev/null || true
+
if ! `xenstore-read -s / >/dev/null 2>&1`
then
test -z "$XENSTORED_ROOTDIR" && XENSTORED_ROOTDIR="/var/lib/xenstored"